com.intellectualcrafters.plot.object

## Class PlotSettings

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotSettings

-     public class PlotSettings
      extends java.lang.Object

  plot settings

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotSettings(Plot plot)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComment(PlotComment comment)`
    `void` | `addFlag(Flag flag)`
    `java.lang.String` | `getAlias()`
    `org.bukkit.block.Biome` | `getBiome()`
    `java.util.ArrayList<PlotComment>` | `getComments(int tier)`
    `Flag` | `getFlag(java.lang.String flag)`
    `java.util.Set<Flag>` | `getFlags()` Get all flags applied for the plot
    `java.lang.String` | `getJoinMessage()`
    `java.lang.String` | `getLeaveMessage()` Get the "farewell" flag value
    `boolean[]` | `getMerged()`
    `boolean` | `getMerged(int direction)` Check if the plot is merged in a direction 0 = North 1 = East 2 = South 3 = West
    `PlotHomePosition` | `getPosition()`
    `boolean` | `isMerged()` Returns true if the plot is merged (i.e. if it's a mega plot)
    `void` | `removeComment(PlotComment comment)`
    `void` | `removeComments(java.util.ArrayList<PlotComment> comments)`
    `void` | `setAlias(java.lang.String alias)` Set the plot alias
    `void` | `setComments(java.util.ArrayList<PlotComment> comments)`
    `void` | `setFlags(Flag[] flags)`
    `void` | `setMerged(boolean[] merged)`
    `void` | `setMerged(int direction, boolean merged)`
    `void` | `setPosition(PlotHomePosition position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotSettings

          public PlotSettings(Plot plot)

      Constructor
      Parameters:
        `plot` - object

  - ### Method Detail

    - #### getMerged

          public boolean getMerged(int direction)

      Check if the plot is merged in a direction
      0 = North
      1 = East
      2 = South
      3 = West
      Parameters:
        `direction` - Direction to check
      Returns:
        boolean merged

    - #### isMerged

          public boolean isMerged()

      Returns true if the plot is merged (i.e. if it's a mega plot)

    - #### getMerged

          public boolean[] getMerged()

    - #### setMerged

          public void setMerged(boolean[] merged)

    - #### setMerged

          public void setMerged(int direction,
                       boolean merged)

    - #### getBiome

          public org.bukkit.block.Biome getBiome()

      Returns:
        biome at plot loc

    - #### addFlag

          public void addFlag(Flag flag)

      Parameters:
        `flag` - to add

    - #### getFlags

          public java.util.Set<Flag> getFlags()

      Get all flags applied for the plot
      Returns:
        flags

    - #### setFlags

          public void setFlags(Flag[] flags)

      Parameters:
        `flags` -

    - #### getFlag

          public Flag getFlag(java.lang.String flag)

      Parameters:
        `flag` -
      Returns:

    - #### getPosition

          public PlotHomePosition getPosition()

    - #### setPosition

          public void setPosition(PlotHomePosition position)

    - #### getAlias

          public java.lang.String getAlias()

    - #### setAlias

          public void setAlias(java.lang.String alias)

      Set the plot alias
      Parameters:
        `alias` - alias to be used

    - #### getJoinMessage

          public java.lang.String getJoinMessage()

    - #### getLeaveMessage

          public java.lang.String getLeaveMessage()

      Get the "farewell" flag value
      Returns:
        Farewell flag

    - #### getComments

          public java.util.ArrayList<PlotComment> getComments(int tier)

    - #### setComments

          public void setComments(java.util.ArrayList<PlotComment> comments)

    - #### removeComment

          public void removeComment(PlotComment comment)

    - #### removeComments

          public void removeComments(java.util.ArrayList<PlotComment> comments)

    - #### addComment

          public void addComment(PlotComment comment)